Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Protected Member Functions | Protected Attributes
Lucene::SegmentTermPositionVector Class Reference

`#include <SegmentTermPositionVector.h>`

Inheritance diagram for Lucene::SegmentTermPositionVector:

## Public Member Functions

| SegmentTermPositionVector (const String &field, Collection< String > terms, Collection< int32_t > termFreqs, Collection< Collection< int32_t > > positions, Collection< Collection< TermVectorOffsetInfoPtr > > offsets)
virtual | ~SegmentTermPositionVector ()
virtual String | getClassName ()
boost::shared_ptr< SegmentTermPositionVector > | shared_from_this ()
virtual Collection< TermVectorOffsetInfoPtr > | getOffsets (int32_t index)
| Returns an array of TermVectorOffsetInfo in which the term is found.
virtual Collection< int32_t > | getTermPositions (int32_t index)
| Returns an array of positions in which the term is found. Terms are identified by the index at which its number appears in the term String array obtained from the indexOf method.
Public Member Functions inherited from Lucene::SegmentTermVector
| SegmentTermVector (const String &field, Collection< String > terms, Collection< int32_t > termFreqs)
virtual | ~SegmentTermVector ()
boost::shared_ptr< SegmentTermVector > | shared_from_this ()
virtual String | getField ()
virtual String | toString ()
| Returns a string representation of the object.
virtual int32_t | size ()
virtual Collection< String > | getTerms ()
virtual Collection< int32_t > | getTermFrequencies ()
virtual int32_t | indexOf (const String &term)
| Return an index in the term numbers array returned from getTerms at which the term with the specified term appears.
virtual Collection< int32_t > | indexesOf (Collection< String > termNumbers, int32_t start, int32_t length)
| Just like indexOf(int) but searches for a number of terms at the same time.
Public Member Functions inherited from Lucene::TermPositionVector
virtual | ~TermPositionVector ()
Public Member Functions inherited from Lucene::TermFreqVector
virtual | ~TermFreqVector ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::SegmentTermVector
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermPositionVector
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermFreqVector
static String | _getClassName ()

## Static Protected Member Functions

static const Collection< int32_t > | EMPTY_TERM_POS ()

## Protected Attributes

Collection< Collection< int32_t > > | positions
Collection< Collection< TermVectorOffsetInfoPtr > > | offsets
Protected Attributes inherited from Lucene::SegmentTermVector
String | field
Collection< String > | terms
Collection< int32_t > | termFreqs
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::TermPositionVector
| TermPositionVector ()
Protected Member Functions inherited from Lucene::TermFreqVector
| TermFreqVector ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

## ◆ SegmentTermPositionVector()

Lucene::SegmentTermPositionVector::SegmentTermPositionVector | ( | const String & | field,
|  | Collection< String > | terms,
|  | Collection< int32_t > | termFreqs,
|  | Collection< Collection< int32_t > > | positions,
|  | Collection< Collection< TermVectorOffsetInfoPtr > > | offsets
| ) |  |

## ◆ ~SegmentTermPositionVector()

virtual Lucene::SegmentTermPositionVector::~SegmentTermPositionVector | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::SegmentTermPositionVector::_getClassName | ( |  | ) |

inline static

## ◆ EMPTY_TERM_POS()

static const Collection< int32_t > Lucene::SegmentTermPositionVector::EMPTY_TERM_POS | ( |  | ) |

static protected

## ◆ getClassName()

virtual String Lucene::SegmentTermPositionVector::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::SegmentTermVector.

## ◆ getOffsets()

virtual Collection< TermVectorOffsetInfoPtr > Lucene::SegmentTermPositionVector::getOffsets | ( | int32_t | index | ) |

virtual

Returns an array of TermVectorOffsetInfo in which the term is found.

Parameters

  index | The position in the array to get the offsets from

Returns
  An array of TermVectorOffsetInfo objects or the empty list

Reimplemented from Lucene::TermPositionVector.

## ◆ getTermPositions()

virtual Collection< int32_t > Lucene::SegmentTermPositionVector::getTermPositions | ( | int32_t | index | ) |

virtual

Returns an array of positions in which the term is found. Terms are identified by the index at which its number appears in the term String array obtained from the indexOf method.

Reimplemented from Lucene::TermPositionVector.

## ◆ shared_from_this()

boost::shared_ptr< SegmentTermPositionVector > Lucene::SegmentTermPositionVector::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ offsets

Collection< Collection<TermVectorOffsetInfoPtr> > Lucene::SegmentTermPositionVector::offsets

protected

## ◆ positions

Collection< Collection<int32_t> > Lucene::SegmentTermPositionVector::positions

protected

The documentation for this class was generated from the following file:

- SegmentTermPositionVector.h

clucene.sourceforge.net